猫の手も借りたい

ソフトウエア開発者の多忙な生活

いまどこ?はGoogleのプッシュサービスを利用するのでOS2.2以降の端末でしか動きませんが、一方OS2.2以降なら使えるようにしてきました。ですが、それも限界に近づいています。Googleは端末メーカーがOSを更新するのが遅いとか、OSが古くても新しい機能を利用できるようにしたいという理由から、Google Play Serviceと呼ばれるソフトウエアを使って機能拡張をして来ました。そのGoogle Play Serviceですが、ある時期まではOS2.2から対応していたのですが、最新版はOS2.3以降でないと動きません。OS2.2の端末だとある時点の古いGoogle Play Serviceで更新が止まっています。そのため、新しい機能を使いたい場合、OS2.3以降にしか対応していないGoogle Play Serviceを使う必要があります。

結論としては、最新の機能を使うためにはOS2.2のサポートを打ち切りにせざるを得ません。2010年頃の端末だと思いますが、僕も2台持っています。ゴールデンウイーク頃に更新するバージョンから、OS2.2には配信されなくなると思います。まだOS2.2の端末を使われている方には大変申し訳ございません。
2015.03.21 (土) 22:46 | いまどこ? | トラックバック:(-) | コメント:(0) |












管理者にだけ表示